function [gm, foundc,foundcd,i]=find_go_spw(Ago,country_to_find,date_to_find, sp, indX, datecolumn)

c1=str2num(datestr(date_to_find, 'yyyymmdd'));

nr=size(Ago,1);
gm=cell(1,1);
gm{1,1}=[]; %missing;
foundc=false;
foundcd=false;

i=sp-1;
while not(foundcd || i>nr-1)
i=i+1;    
     if strcmp(Ago{i,1},country_to_find) % found country
        % i
         foundc=true;
        % c2=Ago{i,2}; %datestr(Agg{i,8});
          c2= datecolumn(i,1); %str2double(datestr(Ago{i,2}, 'yyyymmdd'));
         if c1==c2 % found also date
            foundcd=true;
            gm=ox_select(Ago(i,:), indX);
         end
     end
end
         
return




return